Module ij
Package ij.plugin

# Class Thresholder

java.lang.Object
ij.plugin.Thresholder

All Implemented Interfaces:
  `Measurements`, `PlugIn`, `ItemListener`, `EventListener`

public class Thresholder extends Object implements PlugIn, Measurements, ItemListener
This plugin implements the Process/Binary/Make Binary and Convert to Mask commands.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`backgrounds`
`static final String[]`
`methods`

### Fields inherited from interface ij.measure.Measurements

`ADD_TO_OVERLAY, ALL_STATS, AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, NaN_EMPTY_CELLS, PERIMETER, RECT, SCIENTIFIC_NOTATION, SHAPE_DESCRIPTORS, SKEWNESS, SLICE, STACK_POSITION, STD_DEV`

## Constructor Summary

Constructors
Constructor
Description
`Thresholder()`

## Method Summary

Modifier and Type
Method
Description
`static ByteProcessor`
`createMask(ImagePlus imp)`
Returns an 8-bit binary (0 and 255) threshold mask that has the same dimensions as this image.
`void`
`itemStateChanged(ItemEvent e)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`static void`
`setBackground(String background)`
`static void`
`setMethod(String method)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### methods

public static final String[] methods

### backgrounds

public static final String[] backgrounds

## Constructor Details

### Thresholder

public Thresholder()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### createMask

public static ByteProcessor createMask(ImagePlus imp)
Returns an 8-bit binary (0 and 255) threshold mask that has the same dimensions as this image.

See Also:
  - `ImageProcessor.createMask()`
  - `ImagePlus.createThresholdMask()`
  - `ImagePlus.createRoiMask()`

### setMethod

public static void setMethod(String method)

### setBackground

public static void setBackground(String background)

### itemStateChanged

public void itemStateChanged(ItemEvent e)

Specified by:
  `itemStateChanged` in interface `ItemListener`